from theng import *
from theng import log
from theng.plotting import save_plot, PlotType

for model in get_pyrosim_models():
    slice_data = model.plot_max_slice_2d("Slice02", True)
    fig = slice_data[0]
    
    # Log Data
    log.info(f'Slice02 Max Value: {slice_data[1]}')
    log.info(f'Slice02 Max Value Time: {slice_data[2]}')
    log.info(f'Slice02 Max Value Coordinates (X, Y, Z): ({slice_data[3]['x']}m, {slice_data[3]['y']}m, {slice_data[3]['z']}m)')
    
    save_plot(fig, "Slice02", plot_type=PlotType.HTML)